require( "scripts/styles/style.lua" );


MakeState{
	BlgBitmap{
		image = "common/backgrounds/bg_minigamemenu",
		name = "minigamesmenuBG",
		center = {x = 0, y = 0},
	},
	
	BlgText{
		label = "State_Raving_Balls_Menu_Dance_Alternatives",
		flags = kHAlignCenter + kVAlignTop,
		transformMatrix = {x = 0, y = 40},
		w = 1024, h = 200,
		font = {
			standardFont,
			40,
			Color(255, 255, 255),
		},
	},
	
	BlgText{
		label = "State_Raving_Balls_Menu_Slow",
		flags = kHAlignCenter + kVAlignTop,
		transformMatrix = {x = 120, y = 100},
		w = 300, h = 200,
		font = {
			standardFont,
			40,
			Color(255, 255, 255),
		},
	},
	
	BlgText{
		label = "State_Raving_Balls_Menu_Speed",
		flags = kHAlignCenter + kVAlignTop,
		transformMatrix = {x = 400, y = 100},
		w = 300, h = 200,
		font = {
			standardFont,
			40,
			Color(255, 255, 255),
		},
	},
	
	BlgText{
		label = "State_Raving_Balls_Menu_Fast",
		flags = kHAlignCenter + kVAlignTop,
		transformMatrix = {x = 700, y = 100},
		w = 300, h = 200,
		font = {
			standardFont,
			40,
			Color(255, 255, 255),
		},
	},
	
	BlgText{
		label = "State_Raving_Balls_Menu_Slow",
		flags = kHAlignCenter + kVAlignTop,
		transformMatrix = {x = -40, y = 180},
		w = 200, h = 200,
		font = {
			standardFont,
			40,
			Color(255, 255, 255),
		},
	},
	
	BlgText{
		label = "State_Raving_Balls_Menu_Pacing",
		flags = kHAlignCenter + kVAlignTop,
		transformMatrix = {x = -40, y = 330},
		w = 200, h = 200,
		font = {
			standardFont,
			40,
			Color(255, 255, 255),
		},
	},
	
	BlgText{
		label = "State_Raving_Balls_Menu_Fast",
		flags = kHAlignCenter + kVAlignTop,
		transformMatrix = {x = -40, y = 480},
		w = 200, h = 200,
		font = {
			standardFont,
			40,
			Color(255, 255, 255),
		},
	},

	BlgButton{
		name = "ravingballsBtn",
		transformMatrix = {x = 150, y = 150},
		label = "State_Raving_Balls_Menu_1_1",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"level/ravingballs/ravingballs_1_1.lua"});
			end
	},
	
	BlgButton{
		name = "ravingballsBtn",
		transformMatrix = {x = 350, y = 150},
		label = "State_Raving_Balls_Menu_1_2",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState("level/ravingballs/ravingballs_1_2.lua");
			end
	},
	
	BlgButton{
		name = "ravingballsBtn",
		transformMatrix = {x = 550, y = 150},
		label = "State_Raving_Balls_Menu_1_3",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState("level/ravingballs/ravingballs_1_3.lua");
			end
	},
	
	BlgButton{
		name = "ravingballsBtn",
		transformMatrix = {x = 750, y = 150},
		label = "State_Raving_Balls_Menu_1_4",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState("level/ravingballs/ravingballs_1_4.lua");
			end
	},
	
	
	
	BlgButton{
		name = "ravingballsBtn",
		transformMatrix = {x = 150, y = 250},
		label = "State_Raving_Balls_Menu_2_1",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"level/ravingballs/ravingballs_2_1.lua"});
			end
	},
	
	BlgButton{
		name = "ravingballsBtn",
		transformMatrix = {x = 350, y = 250},
		label = "State_Raving_Balls_Menu_2_2",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState("level/ravingballs/ravingballs_2_2.lua");
			end
	},
	
	BlgButton{
		name = "ravingballsBtn",
		transformMatrix = {x = 550, y = 250},
		label = "State_Raving_Balls_Menu_2_3",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState("level/ravingballs/ravingballs_2_3.lua");
			end
	},
	
	BlgButton{
		name = "ravingballsBtn",
		transformMatrix = {x = 750, y = 250},
		label = "State_Raving_Balls_Menu_2_4",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState("level/ravingballs/ravingballs_2_4.lua");
			end
	},
	
	
	
	BlgButton{
		name = "ravingballsBtn",
		transformMatrix = {x = 150, y = 350},
		label = "State_Raving_Balls_Menu_3_1",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"level/ravingballs/ravingballs_3_1.lua"});
			end
	},
	
	BlgButton{
		name = "ravingballsBtn",
		transformMatrix = {x = 350, y = 350},
		label = "State_Raving_Balls_Menu_3_2",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState("level/ravingballs/ravingballs_3_2.lua");
			end
	},
	
	BlgButton{
		name = "ravingballsBtn",
		transformMatrix = {x = 550, y = 350},
		label = "State_Raving_Balls_Menu_3_3",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState("level/ravingballs/ravingballs_3_3.lua");
			end
	},
	
	BlgButton{
		name = "ravingballsBtn",
		transformMatrix = {x = 750, y = 350},
		label = "State_Raving_Balls_Menu_3_4",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState("level/ravingballs/ravingballs_3_4.lua");
			end
	},
	
	
	
	BlgButton{
		name = "ravingballsBtn",
		transformMatrix = {x = 150, y = 450},
		label = "State_Raving_Balls_Menu_4_1",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState({"level/ravingballs/ravingballs_4_1.lua"});
			end
	},
	
	BlgButton{
		name = "ravingballsBtn",
		transformMatrix = {x = 350, y = 450},
		label = "State_Raving_Balls_Menu_4_2",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState("level/ravingballs/ravingballs_4_2.lua");
			end
	},
	
	BlgButton{
		name = "ravingballsBtn",
		transformMatrix = {x = 550, y = 450},
		label = "State_Raving_Balls_Menu_4_3",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState("level/ravingballs/ravingballs_4_3.lua");
			end
	},
	
	BlgButton{
		name = "ravingballsBtn",
		transformMatrix = {x = 750, y = 450},
		label = "State_Raving_Balls_Menu_4_4",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				PushState("level/ravingballs/ravingballs_4_4.lua");
			end
	},

	BlgButton{
		name = "backBtn",
		transformMatrix = {x = 0, y = 600},
		label = "back",
		font = {
			standardFont,
			23,
			Color(182, 40, 154),
		},
		upState = {
			bitmap = "common/buttons/btn_default",
		},
		overState = {
			bitmap = "common/buttons/btn_rollover",
		},
		downState = {
			bitmap = "common/buttons/btn_pushed",
			sound = kDefaultButtonSound,
		},

		command =
			function()
				SwapToState("scripts/states/statemainmenu.lua");
			end
	},
}
